PHPExcel_Writer_Excel5_BIFFwriter

category | PHPExcel
package | PHPExcel_Writer_Excel5
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Constructor

    __construct()

## Excel limits the size of BIFF records.

    _addContinue(string $data) : string

In Excel 5 the limit is 2084 bytes. In Excel 97 the limit is 8228 bytes. Records that are longer than these limits must be split up into CONTINUE blocks.

This function takes a long BIFF record and inserts CONTINUE records as necessary.

access | private

### Parameters

#### $data

`string`

The original binary data to be written

### Returns

`string`A very convenient string of continue blocks

## General storage function

    _append(string $data)

access | private

### Parameters

#### $data

`string`

binary data to append

## Writes Excel BOF record to indicate the beginning of a stream or sub-stream in the BIFF file.

    _storeBof(integer $type)

access | private

### Parameters

#### $type

`integer`

Type of BIFF file to write: 0x0005 Workbook, 0x0010 Worksheet.

## Writes Excel EOF record to indicate the end of a BIFF stream.

    _storeEof()

access | private

## Determine the byte order and store it as class data to avoid recalculating it for each call to new().

    getByteOrder() : int

Static

### Returns

`int`

## General storage function like _append, but returns string instead of modifying $this->_data

    writeData(string $data) : string

### Parameters

#### $data

`string`

binary data to write

### Returns

`string`

## Writes Excel EOF record to indicate the end of a BIFF stream.

    writeEof()

access | private

### Properties

##

    $_data : string

##

    $_datasize : integer

Should be the same as strlen($this->_data)

##

    $_limit : integer

See _addContinue()

see | \_addContinue()

##

    $_byte_order : integer

0 => little endian, 1 => big endian